		.h8300h
		.section	rom

		.global		Reset_vector
		.global		Undefined_vector
		.global		TimerA_Interrupt

		.global		_BIOS_DISPCHAR
		.global		_BIOS_GETKEY

		.equ		STACK,		0x00FF80	; X^bNAhX

		.equ		TMRW,		0xFF80		; ^C}W/^C}[hWX^W
		.equ		TCRW,		0xFF81		; ^C}W/^C}Rg[WX^W
		.equ		TIERW,		0xFF82		; ^C}W/^C}C^vgCl[uWX^W
		.equ		TSRW,		0xFF83		; ^C}W/^C}Xe[^XWX^W
		.equ		TIOR0,		0xFF84		; ^C}W/^C}I/ORg[WX^0
		.equ		TIOR1,		0xFF85		; ^C}W/^C}I/ORg[WX^1
		.equ		TCNT,		0xFF86		; ^C}W/^C}JE^
		.equ		GRA,		0xFF88		; ^C}W/WFlWX^A
		.equ		GRB,		0xFF8A		; ^C}W/WFlWX^B
		.equ		GRC,		0xFF8C		; ^C}W/WFlWX^C
		.equ		GRD,		0xFF8E		; ^C}W/WFlWX^D
		.equ		FLMCR1,		0xFF90		; ROM/tbVRg[WX^1
		.equ		FLMCR2,		0xFF91		; ROM/tbVRg[WX^2
		.equ		FLPWCR,		0xFF92		; ROM/tbVp[Rg[WX^
		.equ		EBR1,		0xFF93		; ROM/ubNw背WX^1
		.equ		FENR,		0xFF9B		; ROM/tbVCl[uWX^
		.equ		TCRV0,		0xFFA0		; ^C}V/^C}Rg[WX^V0
		.equ		TCSRV,		0xFFA1		; ^C}V/^C}Rg[^Xe[^XWX^V
		.equ		TCORA,		0xFFA2		; ^C}V/^CRX^gWX^A
		.equ		TCORB,		0xFFA3		; ^C}V/^CRX^gWX^B
		.equ		TCNTV,		0xFFA4		; ^C}V/^C}JE^V
		.equ		TCRV1,		0xFFA5		; ^C}V/^C}Rg[WX^V1
		.equ		TMA,		0xFFA6		; ^C}A/^C}[hWX^A
		.equ		TCA,		0xFFA7		; ^C}A/^C}JE^A
		.equ		SMR,		0xFFA8		; SCI3/VA[hWX^
		.equ		BRR,		0xFFA9		; SCI3/rbg[gWX^
		.equ		SCR3,		0xFFAA		; SCI3/VARg[WX^3
		.equ		TDR,		0xFFAB		; SCI3/gX~bgf[^WX^
		.equ		SSR,		0xFFAC		; SCI3/VAXe[^XWX^
		.equ		RDR,		0xFFAD		; SCI3/V[uf[^WX^
		.equ		ADDRA,		0xFFB0		; A/D/A/Df[^WX^A
		.equ		ADDRB,		0xFFB2		; A/D/A/Df[^WX^B
		.equ		ADDRC,		0xFFB4		; A/D/A/Df[^WX^C
		.equ		ADDRD,		0xFFB6		; A/D/A/Df[^WX^D
		.equ		ADCSR,		0xFFB8		; A/D/A/DRg[^Xe[^XWX^
		.equ		ADCR,		0xFFB9		; A/D/A/DRg[WX^
		.equ		TCSRWD,		0xFFC0		; WDT*2/^C}Rg[^Xe[^XWX^WD
		.equ		TCWD,		0xFFC1		; WDT*2/^C}JE^WD
		.equ		TMWD,		0xFFC2		; WDT*2/^C}[hWX^WD
		.equ		ICCR,		0xFFC4		; IIC/I2CoXRg[WX^
		.equ		ICSR,		0xFFC5		; IIC/I2CoXXe[^XWX^
		.equ		ICDR,		0xFFC6		; IIC/I2CoXf[^WX^
		.equ		SARX,		0xFFC6		; IIC/2X[uAhXWX^
		.equ		ICMR,		0xFFC7		; IIC/I2CoX[hWX^
		.equ		SAR,		0xFFC7		; IIC/X[uAhXWX^
		.equ		ABRKCR,		0xFFC8		; AhXu[N8/AhXu[NRg[WX^
		.equ		ABRKSR,		0xFFC9		; AhXu[N8/AhXu[NXe[^XWX^
		.equ		BARH,		0xFFCA		; AhXu[N8/u[NAhXWX^H
		.equ		BARL,		0xFFCB		; AhXu[N8/u[NAhXWX^L
		.equ		BDRH,		0xFFCC		; AhXu[N8/u[Nf[^WX^H
		.equ		BDRL,		0xFFCD		; AhXu[N8/u[Nf[^WX^L
		.equ		PUCR1,		0xFFD0		; I/O/|[gvAbvRg[WX^1
		.equ		PUCR5,		0xFFD1		; I/O/|[gvAbvRg[WX^5
		.equ		PDR1,		0xFFD4		; I/O/|[gf[^WX^1
		.equ		PDR2,		0xFFD5		; I/O/|[gf[^WX^2
		.equ		PDR5,		0xFFD8		; I/O/|[gf[^WX^5
		.equ		PDR7,		0xFFDA		; I/O/|[gf[^WX^7
		.equ		PDR8,		0xFFDB		; I/O/|[gf[^WX^8
		.equ		PDRB,		0xFFDD		; I/O/|[gf[^WX^B
		.equ		PMR1,		0xFFE0		; I/O/|[g[hWX^1
		.equ		PMR5,		0xFFE1		; I/O/|[g[hWX^5
		.equ		PCR1,		0xFFE4		; I/O/|[gRg[WX^1
		.equ		PCR2,		0xFFE5		; I/O/|[gRg[WX^2
		.equ		PCR5,		0xFFE8		; I/O/|[gRg[WX^5
		.equ		PCR7,		0xFFEA		; I/O/|[gRg[WX^7
		.equ		PCR8,		0xFFEB		; I/O/|[gRg[WX^8
		.equ		SYSCR1,		0xFFF0		; d8/VXeRg[WX^1
		.equ		SYSCR2,		0xFFF1		; d8/VXeRg[WX^2
		.equ		IEGR1,		0xFFF2		; 荞8/荞݃GbWZNgWX^1
		.equ		IEGR2,		0xFFF3		; 荞8/荞݃GbWZNgWX^2
		.equ		IENR1,		0xFFF4		; 荞8/荞݃Cl[uWX^1
		.equ		IRR1,		0xFFF6		; 荞8/荞݃tOWX^1
		.equ		IWPR,		0xFFF8		; 荞8/EFCNAbv荞݃tOWX^
		.equ		MSTCR1,		0xFFF9		; d8/W[X^oCRg[WX^1
		.equ		TSCR,		0xFFFC		; IIC/^C}VARg[WX^


	; 荞ݑS
	.macro		EINT
		andc		#0x7f,ccr				; 荞݋
	.endm

	; 荞ݑS֎~
	.macro		DINT
		orc			#0x80,ccr				; 荞݋֎~
	.endm

; ===============================================================================
;   u[gAbvV[PX
; ===============================================================================

Reset_vector:
		mov.l		#STACK,sp				; VXeX^bN|C^ݒ

		; -----------------------------------------------------------------------
		;   C[`Jump
		; -----------------------------------------------------------------------
;		EINT
		jmp			_main


; ===============================================================================
;   `ݔ
; ===============================================================================

Undefined_vector:
		sleep								; HALT
		bra			Undefined_vector
