#!/usr/local/bin/perl
# 11KHz m 8bit

open(IN,"./hee.wav"); binmode(IN);
for($i=0;$i<0x3A;$i++) { getc(IN); }

$p = 0;
open(OUT,">./src/sound.c"); binmode(OUT);

print OUT "static unsigned char sound_dat[] = {\r\n";

$n = 0;

while(not eof(IN)) {
	if ($p==0) {
		print OUT "\t";
	}
	$c = ord(getc(IN));
	$c = (($c - 0x80) * 8) + 0x80;
	if ($c>255) { $c = 255; }
	if ($c<0) { $c = 0; }
	
	print OUT sprintf("0x%02X", $c);
	$n++;
	if (not eof(IN)) {
		print OUT ",";
	}
	$p++;
	if ($p==16) {
		print OUT "\r\n";
		$p = 0;
	}
}
print OUT "\r\n};\r\n\r\n";
print OUT "#define SOUND_LEN\t\t$n\r\n\r\n";

close(OUT);
close(IN);



